Bug 863883 - RFE: support bluetooth keyboards in initrd and early boot
RFE: support bluetooth keyboards in initrd and early boot
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
rawhide
x86_64 Unspecified
high Severity high
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 19:13 EDT by Benjamin Kosnik
Modified: 2015-12-09 02:49 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:29:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Kosnik 2012-10-07 19:13:44 EDT
Description of problem:

Setups using bluetooth keyboards do not work. Unable to get past decrypt screen.

Version-Release number of selected component (if applicable):

Fedora 17 x86/64

How reproducible:


Steps to Reproduce:
1. Install Fedora 17 with encrypted partition
2. Enable bluetooth keyboard
3. Reboot
  
Actual results:

Once rebooted, the system starts Fedora, but runs into the encrypted partition, so throws up a password screen to unlock. However, typing in the password to unlock the partition fails, as the keyboard is not recognized as an inport device.

Expected results:

Being able to use the bluetooth keyboard to enter the necessary text to decrypt the drive.

Additional info:

Setup hardware is as per:
http://sunglint.wordpress.com/2012/05/11/fedora-17-notes/
Comment 1 Bill Nottingham 2012-10-08 16:04:11 EDT
This sounds like it would need fixed before it gets to systemd - whether in dracut or in the kernel configuration itself to always include enough to set up bluetooth keyboards.
Comment 2 Benjamin Kosnik 2012-10-10 21:41:47 EDT
Aye. That's "input device."

I'm not quite sure where to put it, but if you think this is a dracut or kernel bug feel free to re-assign it. I don't think this is a bluetooth issue, as the keyboard is recognized after log-in no problem. It's just an ordering issue.

This is particularly painful for me as RSI-approved setup is laptop in desk holder + bluetooth keyboard on keyboard tray. Standard operating procedure on boot is to unpack laptop, type in decrypt, pack laptop, hook in bluetooth keyboard. It works but is annoying.
Comment 3 Benjamin Kosnik 2013-01-03 14:47:27 EST
Still an issue F18, adjusted subject
Comment 4 Benjamin Kosnik 2013-01-15 15:41:18 EST
Cannot do CSB + bluetooth keyboard without this.
Comment 5 Lennart Poettering 2013-01-15 16:57:01 EST
Making this work is not going to be easy.

bluez would have to become an early-boot service, i.e. cannot depend on /var being around.

AFAIK bluez stores its bondings in /var however, and right-fully so. Not sure how we could fix that.

Also, whenever we make a new kbd bonding we'd have to rebuild the initrd, so that the initrd knows about that. That doesn't sounds like fun either...

This all makes me shiver a bit.
Comment 6 Benjamin Kosnik 2013-01-15 18:27:00 EST
Thanks for your commentary Lennart. 

This is a pet peeve of mine, as I find bluetooth keyboards much easier to fit into purpose-built ergonomic setups. (My current setup is a humanscale laptop stand that hides the keyboard, which I then use with a bluetooth keyboard.) 

Ie, something like:
http://www.humanscale.com/products/product_detail.cfm?group=L6

See how it hides the laptop's keyboard?

Since there's been some recent discussion of keyboard issues on fedora-devel, I thought I'd try to mark this up.

Allowing wireless keyboards the same capabilities as wired keyboards is admittedly a re-think on keyboard support, and is unquestionably an enhancement. 

Does this imply support for bluetooth mice at bootup as well? Or just at login screen?
Comment 8 Fedora End Of Life 2013-12-21 04:04:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 07:29:31 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 bkoz@redhat.com 2014-02-05 10:34:15 EST
This happens with F18, F19, F20. Probably more, but I haven't checked those.
Comment 11 Steven Pehrson 2015-04-01 11:41:34 EDT
This was working initially for me on F21, I was able to type in my encryption password using my Bluetooth keyboard.  After updating on 3/21/15 I am no longer able to use my Bluetooth keyboard.  I now have to have use a separate USB keyboard to enter my encryption password

Note You need to log in before you can comment on or make changes to this bug.